itpp::it_file_base_old Class Reference
Base Module » IT++ File Format

Base class for it_ifile_old and it_file_old. More...

`#include <itpp/base/itfile.h>`

Inheritance diagram for itpp::it_file_base_old:

## Classes

struct | data_header
| Data header structure. More...
struct | file_header
| File header structure. More...

## Static Protected Attributes

static char | file_magic [4] = { 'I', 'T', '+', '+' }
| ACTION: Add documentation.
static char | file_version = 2
| ACTION: Add documentation.

## Detailed Description

Base class for it_ifile_old and it_file_old.

Warning
  This class is deprecated and will be removed in future.

Definition at line 668 of file itfile.h.

## Member Data Documentation

## file_magic

char itpp::it_file_base_old::file_magic = { 'I', 'T', '+', '+' }

static protected

ACTION: Add documentation.

Definition at line 696 of file itfile.h.

Referenced by itpp::it_ifile_old::read_check_file_header(), and itpp::it_file_old::write_file_header().

## file_version

char itpp::it_file_base_old::file_version = 2

static protected

ACTION: Add documentation.

Definition at line 698 of file itfile.h.

Referenced by itpp::it_ifile_old::read_check_file_header(), and itpp::it_file_old::write_file_header().

The documentation for this class was generated from the following files:

- itpp/base/itfile.h
- itpp/base/itfile.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8